Retrieve payment
curl --request GET \
--url https://api.piriod.com/payments/{id}/ \
--header 'Authorization: <api-key>' \
--header 'x-simple-workspace: <x-simple-workspace>'import requests
url = "https://api.piriod.com/payments/{id}/"
headers = {
"x-simple-workspace": "<x-simple-workspace>",
"Authorization": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-simple-workspace': '<x-simple-workspace>', Authorization: '<api-key>'}
};
fetch('https://api.piriod.com/payments/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.piriod.com/payments/{id}/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"x-simple-workspace: <x-simple-workspace>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.piriod.com/payments/{id}/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-simple-workspace", "<x-simple-workspace>")
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.piriod.com/payments/{id}/")
.header("x-simple-workspace", "<x-simple-workspace>")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.piriod.com/payments/{id}/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-simple-workspace"] = '<x-simple-workspace>'
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"amount": 123,
"currency": "<string>",
"date": "2023-12-25",
"description": "<string>",
"id": 123,
"invoice": "<string>",
"subscription": "<string>",
"customer": "<string>",
"balance": 123,
"payment_date": "2023-11-07T05:31:56Z",
"source": 123,
"sources": [
123
],
"status": "requires_payment_method",
"failed_reason": "<string>",
"return_url": "<string>",
"enable_checkout": true,
"metadata": {},
"test_mode": true,
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z"
}{
"detail": "Authentication credentials were not provided."
}Payments
Retrieve payment
GET
/
payments
/
{id}
/
Retrieve payment
curl --request GET \
--url https://api.piriod.com/payments/{id}/ \
--header 'Authorization: <api-key>' \
--header 'x-simple-workspace: <x-simple-workspace>'import requests
url = "https://api.piriod.com/payments/{id}/"
headers = {
"x-simple-workspace": "<x-simple-workspace>",
"Authorization": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-simple-workspace': '<x-simple-workspace>', Authorization: '<api-key>'}
};
fetch('https://api.piriod.com/payments/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.piriod.com/payments/{id}/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"x-simple-workspace: <x-simple-workspace>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.piriod.com/payments/{id}/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-simple-workspace", "<x-simple-workspace>")
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.piriod.com/payments/{id}/")
.header("x-simple-workspace", "<x-simple-workspace>")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.piriod.com/payments/{id}/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-simple-workspace"] = '<x-simple-workspace>'
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"amount": 123,
"currency": "<string>",
"date": "2023-12-25",
"description": "<string>",
"id": 123,
"invoice": "<string>",
"subscription": "<string>",
"customer": "<string>",
"balance": 123,
"payment_date": "2023-11-07T05:31:56Z",
"source": 123,
"sources": [
123
],
"status": "requires_payment_method",
"failed_reason": "<string>",
"return_url": "<string>",
"enable_checkout": true,
"metadata": {},
"test_mode": true,
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z"
}{
"detail": "Authentication credentials were not provided."
}Authorizations
Use header Authorization: Token <api_token>.
API tokens are obtained from the Piriod dashboard.
Headers
Workspace (account) identifier. Required for every request.
Whether to operate against test-mode data. Defaults to false.
Path Parameters
Resource identifier.
Response
The payment.
ISO currency code.
Maximum string length:
256Invoice ID this payment applies to.
Subscription ID when generated by a subscription cycle.
Remaining balance to charge against this payment.
Effective date the payment was completed.
Primary source ID. (Legacy single source link.)
All source IDs linked to this payment (multi-source support).
Available options:
cancelled, failed, incomplete, processing, requires_payment_method, succeeded Reason code when status=failed.
URL the payer is sent back to after a redirect-flow checkout.
Whether the publishable checkout /pay/ is reachable for this payment.
